%define oname   selenium-webdriver

Name:       ruby-%{oname}
Version:    3.142.7
Release:    %mkrel 1
Summary:    The next generation developer focused tool for automated testing of web-apps
License:    Apache License
Group:      Development/Ruby
URL:        http://selenium.googlecode.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# Source code from 
# http://code.google.com/p/selenium/source/browse/webdriver/trunk/firefox/src/cpp/linux-specific/x_ignore_nofocus.c
Source1:    x_ignore_nofocus.c
Source2:    print_events.h
BuildRequires: rubygems
BuildRequires: libx11-devel
BuildRequires: ruby-devel

%description
WebDriver is a tool for writing automated tests of websites. It aims to
mimic the behavior of a real user, and as such interacts with the HTML of
the application.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
# do not use the bundle so files
rm -rf lib/selenium/webdriver/firefox/native/linux/*
# add the .c source code
cp %{SOURCE1} %{SOURCE2} lib/selenium/webdriver/firefox/native/linux/
# Allow childprocess 1.0
# https://github.com/SeleniumHQ/selenium/issues/6907
%gemspec_remove_dep -g childprocess
%gemspec_add_dep -g childprocess

%build
pushd lib/selenium/webdriver/firefox/native/linux
gcc %{optflags} -fPIC -shared -fshort-wchar x_ignore_nofocus.c -o x_ignore_nofocus.so -ldl -lX11
#FIXME…
mkdir x86 amd64
cp x_ignore_nofocus.so x86
mv x_ignore_nofocus.so amd64
popd

%gem_build

%install
%gem_install

%files
%doc CHANGES LICENSE README.md
#%{gem_extdir_mri}
%{gem_instdir}
%{gem_spec}


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 3.142.7-1.mga8
+ Revision: 1561775
- Update to 3.142.7

* Sat Feb 15 2020 umeabot <umeabot> 3.141.0-3.mga8
+ Revision: 1526261
- Mageia 8 Mass Rebuild

* Mon May 06 2019 pterjan <pterjan> 3.141.0-2.mga7
+ Revision: 1396570
- Allow childprocess 1.0

* Sun Nov 04 2018 pterjan <pterjan> 3.141.0-1.mga7
+ Revision: 1328229
- Update to 3.141.0

* Sat Aug 25 2018 pterjan <pterjan> 3.14.0-1.mga7
+ Revision: 1254223
- Update to 3.14.0

* Mon Jul 30 2018 pterjan <pterjan> 3.13.1-1.mga7
+ Revision: 1246046
- Update to 3.13.1

* Wed Jun 27 2018 pterjan <pterjan> 3.13.0-1.mga7
+ Revision: 1239983
- Update to 3.13.0

* Thu May 17 2018 pterjan <pterjan> 3.12.0-1.mga7
+ Revision: 1230142
- Update to 3.12.0

* Sun Apr 01 2018 pterjan <pterjan> 3.11.0-1.mga7
+ Revision: 1214346
- Update to 3.11.0

* Sun Sep 10 2017 pterjan <pterjan> 3.5.2-1.mga7
+ Revision: 1152329
- Update to 3.5.2

* Sun Aug 20 2017 pterjan <pterjan> 3.5.1-1.mga7
+ Revision: 1141921
- Update to 3.5.1

* Sun Mar 13 2016 pterjan <pterjan> 2.50.0-1.mga6
+ Revision: 990168
- Update to 2.50.0

* Sun Dec 20 2015 mitya <mitya> 2.48.1-1.mga6
+ Revision: 912644
- Update to 2.48.1

* Wed Oct 15 2014 umeabot <umeabot> 2.42.0-4.mga5
+ Revision: 746233
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.42.0-3.mga5
+ Revision: 688958
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 2.42.0-2.mga5
+ Revision: 640813
- Losen dependency on websocket

* Sat Jun 28 2014 pterjan <pterjan> 2.42.0-1.mga5
+ Revision: 640616
- 2.42.0

* Sat Dec 28 2013 pterjan <pterjan> 2.26.0-7.mga4
+ Revision: 562491
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 2.26.0-6.mga4
+ Revision: 560535
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.26.0-5.mga4
+ Revision: 539744
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 fwang <fwang> 2.26.0-4.mga4
+ Revision: 492877
- update file list
- force dir
- update file list

* Fri Feb 08 2013 umeabot <umeabot> 2.26.0-4.mga3
+ Revision: 396459
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.26.0-3.mga3
+ Revision: 381453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.26.0-2.mga3
+ Revision: 313917
- doc is a noarch package
- fix linkage

* Sun Nov 04 2012 fwang <fwang> 2.26.0-1.mga3
+ Revision: 313911
- new version 2.26.0

* Sun Aug 12 2012 shlomif <shlomif> 2.25.0-1.mga3
+ Revision: 280875
- New version 2.25.0 (thanksto aghero)
+ solbu <solbu>
- New version

* Thu Jun 07 2012 solbu <solbu> 2.20.0-1.mga3
+ Revision: 256715
- New version
- Spec cleanup

* Thu Sep 29 2011 fwang <fwang> 0.1.4-1.mga2
+ Revision: 150347
- br xlib
- tighten br

* Tue Apr 19 2011 shikamaru <shikamaru> 0.1.4-1.mga1
+ Revision: 88833
- try to fix bundled binary file (FIXME please)
- imported package ruby-selenium-webdriver

